%define _python_version `python -c 'import sys;print sys.version[:3]'`
Summary: A rational number package for python.
Name: surd 
Version: 1.1
Release: 1
License: Distributable
Group: Development/Languages
URL: ftp://ftp.python.org/pub/www.python.org/ftp/python/contrib-09-Dec-1999/DataStructures/
Source: surd-1.1.tar.gz
Requires: python >= 1.5
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
This python module provides a class and methods for manipulating surds by
adding, subtracting, multiplying, dividing, exponentiating and other
stuff.  This will work with non-surds as well.  There is a test driver
at the end of the file that provides many examples of on how to use
them.

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{_python_version}/site-packages
cp surd.py $RPM_BUILD_ROOT%{_libdir}/python%{_python_version}/site-packages/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc 
%{_libdir}/python*/site-packages/surd.py

%changelog
* Wed Jul 13 2000 Crutcher Dunnavant <crutcher@redhat.com>
- initial package
